from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean

Daligner_V0_1_0 = CommandToolBuilder(tool="daligner", base_command=["daligner"], inputs=[ToolInput(tag="in_kmer_size_be", input_type=Boolean(optional=True), prefix="-k", doc=InputDocumentation(doc=": k-mer size (must be <= 32).")), ToolInput(tag="in_look_kmers_averlapping", input_type=Boolean(optional=True), prefix="-w", doc=InputDocumentation(doc=": Look for k-mers in averlapping bands of size 2^-w.")), ToolInput(tag="in_ignore_kmers_occur", input_type=Boolean(optional=True), prefix="-t", doc=InputDocumentation(doc=": Ignore k-mers that occur >= -t times in a block.")), ToolInput(tag="in_use_only_gb", input_type=Boolean(optional=True), prefix="-M", doc=InputDocumentation(doc=": Use only -M GB of memory by ignoring most frequent k-mers.")), ToolInput(tag="in_look_percent_similarity", input_type=Boolean(optional=True), prefix="-e", doc=InputDocumentation(doc=": Look for alignments with -e percent similarity.")), ToolInput(tag="in_look_alignments_length", input_type=Boolean(optional=True), prefix="-l", doc=InputDocumentation(doc=": Look for alignments of length >= -l.")), ToolInput(tag="in_trace_point_spacing", input_type=Boolean(optional=True), prefix="-s", doc=InputDocumentation(doc=": The trace point spacing for encoding alignments.")), ToolInput(tag="in_hgap_option_align", input_type=Boolean(optional=True), prefix="-H", doc=InputDocumentation(doc=": HGAP option: align only target reads of length >= -H.")), ToolInput(tag="in_use_t_threads", input_type=Boolean(optional=True), prefix="-T", doc=InputDocumentation(doc=": Use -T threads.")), ToolInput(tag="in_block_level_sorts", input_type=Boolean(optional=True), prefix="-P", doc=InputDocumentation(doc=": Do block level sorts and merges in directory -P.")), ToolInput(tag="in_soft_mask_blocks", input_type=Boolean(optional=True), prefix="-m", doc=InputDocumentation(doc=": Soft mask the blocks with the specified mask.")), ToolInput(tag="in_atgc_biased_data", input_type=Boolean(optional=True), prefix="-b", doc=InputDocumentation(doc=": For AT/GC biased data, compensate k-mer counts (deprecated).")), ToolInput(tag="in_verbose_mode_output", input_type=Boolean(optional=True), prefix="-v", doc=InputDocumentation(doc=": Verbose mode, output statistics as proceed.")), ToolInput(tag="in_sort_areadaposition_pairs", input_type=Boolean(optional=True), prefix="-a", doc=InputDocumentation(doc=": sort .las by A-read,A-position pairs for map usecase\noff => sort .las by A,B-read pairs for overlap piles")), ToolInput(tag="in_compare_subjet_target", input_type=Boolean(optional=True), prefix="-A", doc=InputDocumentation(doc=": Compare subjet to target, but not vice versa.")), ToolInput(tag="in_compare_reads_themselves", input_type=Boolean(optional=True), prefix="-I", doc=InputDocumentation(doc=": Compare reads to themselves")), ToolInput(tag="in_va_bai", input_type=Boolean(optional=True), prefix="-vabAI", doc=InputDocumentation(doc=""))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Daligner_V0_1_0().translate("wdl", allow_empty_container=True)

